Skip to main content
curl --request GET 'https://api.mayar.id/hl/v2/payments/6f8c19ff-5b97-4792-aa89-d2a12797b356' \
--header 'Authorization: Bearer Paste-Your-API-Key-Here'
{
    "statusCode": 200,
    "messages": "success",
    "data": {
        "id": "6f8c19ff-5b97-4792-aa89-d2a12797b356",
        "link": "rqp9x2k7m3a",
        "name": "Penagihan",
        "category": null,
        "limit": null,
        "type": "payment_request",
        "subType": null,
        "variant": null,
        "userId": "348e083d-315a-4e5c-96b1-5a2a98c48413",
        "membershipTier": [],
        "event": null,
        "order": null,
        "qty": null,
        "amount": 100000,
        "status": "unpaid",
        "description": "Pembayaran jasa konsultasi",
        "coverImageId": null,
        "multipleImageId": null,
        "transactions": [],
        "coverImage": null,
        "multipleImage": null,
        "linkUrl": "https://testingmayar.myr.id/pl/rqp9x2k7m3a",
        "linkPayment": "https://testingmayar.myr.id/pl/rqp9x2k7m3a"
    }
}
Endpoint:
https://api.mayar.id/hl/v2/payments/{id}

Authorization

Authorization
string
required
Example:Authorization | Bearer Paste-Your-API-Key-Here

Path Parameters

id
string <uuid>
required
A unique identifier obtained when creating a single payment request. If accessed through the dashboard, it can be found in the URL on the payment request details page.Example:6f8c19ff-5b97-4792-aa89-d2a12797b356

Response

Successful Response

Main Structure (Root)

statusCode
integer
Status code form API.
messages
string
Status message that describes the status code.
data
object
The payment request detail object.

data Structure (Object)

id
string<uuid>
Unique request payment ID.
Payment request slug/short URL.
name
string | null
Payment request name.
category
string | null
Category, can be null if there is no category.
limit
number | null
Certain amount limit, can be null.
type
string
Product type. Always payment_request for this endpoint.
subType
string | null
Product subtype if applicable.
variant
string | null
Product variant.
userId
string<uuid>
Identifier of the payment request owner.
membershipTier
array | null
Membership tier list (empty if not applicable).
event
object | null
Related event data, can be null.
order
object | null
Related order data, can be null.
qty
string | null
Quantity (if the request relates to specific goods/services).
amount
integer
Payment request price or nominal value.
status
string
Payment request status (e.g. unpaid, paid, closed).
description
string
Payment request description.
coverImageId
string | null
ID cover image, can be null.
multipleImageId
string | null
ID for multiple image group, can be null.
transactions
array of object
List of related transactions (empty if none).
coverImage
object | null
Cover image data, can be null.
multipleImage
array | null
List of additional images for the payment request.
Public payment request page URL.
Public payment link URL.